Subject: Re: [PATCH net-next V3 00/10] devlink: add per-port resource support

From: Jakub Kicinski <[email-masked]>
Date: Fri, 6 Mar 2026 12:03:01 -0800

On Fri, 6 Mar 2026 13:13:26 +0100 Jiri Pirko wrote:
> Thu, Mar 05, 2026 at 03:37:29PM +0100, [email-masked] wrote:
> >On Thu, 5 Mar 2026 08:56:42 +0100 Jiri Pirko wrote:  
> >> Or, alternatively, we can have per-object dumps as we have for all
> >> objects and command right now and leave things simple and
> >> straightforward? I mean, I don't really see a benefit of a single dump
> >> for more objects :/  
> >
> >What do you mean by straightforward, exactly?
> >
> >User will most likely want to see all resources of a device in a single
> >dump / command.  
> 
> Hmm. We actually already have this for region and health reporter dumps.
> Only for params we have that separate.
> So let's do it for resource too.

That's not a good argument, as I said in my first response to the
thread:

  I worry we are mechanically following the design of other commands.

https://lore.kernel.org/all/[email-masked]/